Highlighted

apply bundles.sh is invalid

I've found older posts on this issue but 2+ years is a bit out of date.  Is the solution to this issue to locate a pervious version of the tool and rebuild the iso?  And yes i just did a full update from today and reburned the iso with the same result.  This is for a R620.

0 Kudos
26 Replies

RE: apply bundles.sh is invalid

Hello.

Those links with the version of the tools are likely outdated. You can use the latest Dell Repository Manager v2.1 to create customized ISO. See link: www.dell.com/.../DriversDetails

Robert Alakara

Dell EMC | Enterprise Services

0 Kudos

RE: apply bundles.sh is invalid

except I'm already using that tool.  just checked and it's the 2.1 version.  2.1.0.451 to be exact.  

0 Kudos

RE: apply bundles.sh is invalid

What exactly are you seeing when the updates fail? Are you getting errors? What is your current BIOS and iDRAC firmware versions? If they are way out of date, then you might consider manually stepping up these updates concurrently to a certain level and then applying the ISO for the rest of the updates

Robert Alakara

Dell EMC | Enterprise Services

0 Kudos

RE: apply bundles.sh is invalid

The machine is 2 years old and has never been updated.  It does not currently have an os on it.  The error I get is the one I’ve listed and I get it after the cd boots and tries to run the script.   I'll try the manual updates but the lifecycle controller has become disabled due to previous attempts.

0 Kudos

RE: apply bundles.sh is invalid

ok so the lifecycle controller fixed itself and i was able to update it and the bios to the latest versions.  I then tried booting the cd and got the same error.  The error occurs on the screen after udev gets mounted.  

booting from cdrom with share_script as drm_files/apply_bundles.sh

mount /dev/cdrom /opt/dell/toolkit/systems

build_number is matching

valid dtr cd is found

/opt/dell/toolkit/systems/drm_files/apply_bundles.sh is invalid

press enter to reboot....

0 Kudos

RE: apply bundles.sh is invalid

i have a R810, tried  to update though DVD, i got exactly the same error. 

0 Kudos

RE: apply bundles.sh is invalid

Can you try updating using the LifeCycle Controller via Platform updates and then pointing to the Dell ftp.dell.com site. This you will be applying updated directly from a catalog of files.

Robert Alakara

Dell EMC | Enterprise Services

0 Kudos
jomach
Phosphor

RE: apply bundles.sh is invalid

I'm having the same issue only on R720 servers. others like R620, R730 are fine. I've generated a bundle ISO for all these different types of servers from DRM.

0 Kudos

RE: apply bundles.sh is invalid

i have resolved the issue on my R810

1.       Press <ALT>+<F2> to access a new console

 

2.       Press <Enter> to access a command prompt

 

3.       Type “mount /dev/cdrom /opt/dell/toolkit/systems” and press <Enter>

 

4.       Type “./opt/dell/toolkit/systems/drm_files/apply_bundles.sh” and press <Enter>

 

5.       The apply_bundles.sh script will begin executing